@import url('https://fonts.googleapis.com/css2?family=Pacifico&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kalam:wght@300&display=swap');
/*********************Page accueil avec animation******************/

body#body-accueil{ 
    width: 100vw;
    margin:0px;
    padding: 0px;
    background-image: linear-gradient(180deg, #727272, #0e0d0d ),
                        linear-gradient(-180deg, #979696, #0e0d0d );
    color: #2A2A2A;
    font-family:'Kalam','Pacifico', cursive, Verdana, sans-serif;
    font-size: 16px;
    text-align: center;
    overflow: hidden;
}

div#body_container2{
    display:flex;
    margin:0px;
    padding: 0px;
    width: 100vw;
    flex-direction: column;
}
a{
    text-decoration: none;
    }
li{
    list-style: none;
}
main{
    width: 100vw;
}

header#accueil-header{
    width: 100vw;
    background-image:url("/images/Bandeau_graph.png");
    background-size: cover;
    z-index: 100 ;

}
header#accueil-header:hover{
    cursor: none;
}
div.bandeau{
    width: 90vw;
    color: #fff;    
    display: flex;
    flex-direction: row;
    flex-shrink: 3;
    flex-wrap: nowrap;
    justify-content:space-around;
    cursor: none;
}
.img_container{
    max-width: 20vw;
    padding: 20px 0px 10px 0px;
}
.img_container img{
    max-width: 18vw;
    border: 2px #c2c2c2 solid;
    border-radius: 1vw 1vw 1vw 1vw ;
}
.img_accueil{
    display:inline;
    position: relative;
    border-radius: 1vw 1vw 1vw 1vw ;
}
.img_accueil img{
    box-shadow: none;
}
.img_accueil .infos-hover{
    display:block;
    position:absolute;
    overflow:hidden;
    border-radius: 1vw 1vw 1vw 1vw ;
    left:0;
    bottom:0;
    width:100%;
    height: 100%;
    height:0;
    text-align:center;
    background:rgba(0,0,0,0.8);
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    -ms-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
      }

.img_accueil .infos-hover i{
    font-size:1.8rem;

}
.img_accueil .infos-hover p{
    text-align:center;
    font-size:0.8rem;
}
#accueil-header:hover .infos-hover{
    height:100%;
}
#titre{
    margin: 2vw 2vw 0 0;
}
#titre h1{
    font-weight: 100;
    font-size: 2em;
}
div#area{
    z-index: 1 ;
    overflow: visible;
    height: 100vh;
    padding-top: 40vh;
}
.circles{
    position: static ;
    top: 0;
    left: 0;
    height: 50vh;
    margin-top: 0;
}

.circles li{
    position: absolute;
    overflow:visible;
    list-style: none;
    animation: animate 25s linear infinite;
    font: 'Pacifico';
    font-size: 2rem;
    transition: transform 100ms ease-in-out;
    opacity: 0;
    width: 100px;
}

.circles li:nth-child(1){
    left: 15%;
    animation-delay: 0s;
    animation-duration: 33s;
}

.circles li:nth-child(2){
    left: 85%;
    animation-delay: 1s;
    animation-duration: 29s;
}

.circles li:nth-child(3){
    left: 50%;
    animation-delay: 0s;
    animation-duration: 30s;
}

.circles li:nth-child(4){
    left: 30%;
    animation-delay: 2s;
    animation-duration: 16s;
}

.circles li:nth-child(5){
    left: 66%;
    animation-delay: 1s;
    animation-duration: 24s;
}

.circles li:nth-child(6){
    left: 20%;
    animation-delay: 3s;
    animation-duration: 15s;
}

.circles li:nth-child(7){
    left: 74%;
    animation-delay: 2s;
    animation-duration: 13s;
}

.circles li:nth-child(8){
    left: 70%;
    animation-delay: 4.2s;
    animation-duration: 18s;
}

.circles li:nth-child(9){
    left: 12%;
    animation-delay: 5.2s;
    animation-duration: 22s;
}

.circles li:nth-child(10){
    left: 26%;
    animation-delay: 0.5s;
    animation-duration: 18s;
}
.circles li:nth-child(11){
    left: 60%;
    animation-delay: 5.5s;
    animation-duration: 16s;
}
.circles li:nth-child(12){
    left: 48%;
    animation-delay: 1.8s;
    animation-duration: 15s;
}
.circles li:nth-child(13){
    left: 46%;
    animation-delay: 7.8s;
    animation-duration: 9s;
}
.circles li:nth-child(14){
    left: 44%;
    animation-delay: 0.7s;
    animation-duration: 15s;
}
.circles li:nth-child(15){
    left: 42%;
    animation-delay: 1.7s;
    animation-duration: 13s;
}
.circles li:nth-child(16){
    left: 40%;
    animation-delay: 0.3s;
    animation-duration: 16s;
}
.circles li:nth-child(17){
    left: 38%;
    animation-delay: 1.4s;
    animation-duration: 17s;
}
.circles li:nth-child(18){
    left: 36%;
    animation-delay: 0.1s;
    animation-duration: 16s;
}
.circles li:nth-child(19){
    left: 34%;
    animation-delay: 1.2s;
    animation-duration: 15s;

}
.circles li:nth-child(20){
    left: 58%;
    animation-delay: 5s;
    animation-duration: 9s;

}
.circles li:nth-child(21){
    left: 36%;
    animation-delay: 3.2s;
    animation-duration: 18s;
}
.circles li:nth-child(22){
    left: 34%;
    animation-delay: 1s;
    animation-duration: 12s;
}
.circles li:nth-child(23){
    left: 42%;
    animation-delay: 4s;
    animation-duration: 8s;
}
.circles li:nth-child(24){
    left: 40%;
    animation-delay: 0s;
    animation-duration: 12s;
}
.circles li:nth-child(25){
    left: 22%;
    animation-delay: 1s;
    animation-duration: 21s;
}
.circles li:nth-child(26){
    left: 43%;
    animation-delay: 2s;
    animation-duration: 17s;
}
.circles li:nth-child(27){
    left: 75%;
    animation-delay: 3s;
    animation-duration: 18s;
}
.circles li:nth-child(28){
    left: 56%;
    animation-delay: 4s;
    animation-duration: 16s;
}
.circles li:nth-child(29){
    left: 67%;
    animation-delay: 1s;
    animation-duration: 15s;
}
.circles li:nth-child(30){
    left: 56%;
    animation-delay: 2s;
    animation-duration: 13s;
}
.circles li:nth-child(31){
    left: 36%;
    animation-delay: 2s;
    animation-duration: 13s;
}

.circles li:nth-child(32){
    left: 28%;
    animation-delay: 5.4s;
    animation-duration: 9s;

}
.circles li:nth-child(33){
    left: 66%;
    animation-delay: 3.7s;
    animation-duration: 26s;
}
.circles li:nth-child(34){
    left: 34%;
    animation-delay: 7s;
    animation-duration: 12s;
}
.circles li:nth-child(35){
    left: 12%;
    animation-delay: 4.5s;
    animation-duration: 8s;
}
.circles li:nth-child(36){
    left: 40%;
    animation-delay: 6s;
    animation-duration: 12s;
}
.circles li:nth-child(37){
    left: 22%;
    animation-delay: 1s;
    animation-duration: 31s;
}
.circles li:nth-child(38){
    left: 43%;
    animation-delay: 5s;
    animation-duration: 17s;
}
.circles li:nth-child(39){
    left: 47%;
    animation-delay: 7s;
    animation-duration: 18s;
}
.circles li:nth-child(40){
    left: 19%;
    animation-delay: 4.3s;
    animation-duration: 19s;
}
.circles li:nth-child(41){
    left: 60%;
    animation-delay: 8s;
    animation-duration: 15s;
}
.circles li:nth-child(42){
    left: 40%;
    animation-delay: 2s;
    animation-duration: 13s;
}

@keyframes animate {
    0%{
        text-shadow: -5px 0  #c2c2c2, 0 2px  #c2c2c2, 2px 0  #c2c2c2, 0 -2px  #c2c2c2;
        transform: translateY(200) rotate(0deg);
        opacity: 0;
    }
    7%{
        text-shadow: 1px 0  #c2c2c2, 0 1px  #c2c2c2, 1px 0  #c2c2c2, 0 -2px  #c2c2c2;
        transform: translateY(300) rotate(0deg);
        opacity: 0.6;
    }

    15%{
        text-shadow: none;
        transform: translateY(300) rotate(0deg);
        opacity: 1;
    }
    100%{
        transform: translateY(-1000px) rotate(1020deg) scale(0.9);
        left:5%;
        opacity: 0.5;
    }
}


@media screen and (min-height: 769px) {
    div#area{
        height: 80vh;
        padding-top: 60vh;
    }
}
@media screen and (min-height: 901px){
    div#area{
        height: 75vh;
        padding-top: 50vh;
    }
}
@media screen and (max-width:992px){
    #titre{
        margin: 0.5vw 0 0 0;
    }    
    #titre h1{
            font-size: 1.5em;
            font-weight: 100;

    }
    .circles li{
        font-size: 1.8rem ;
    }
}

@media screen and (min-width:1201px){
    div.bandeau{
        justify-content:start;
    }
    #titre{
        margin-left: 2vw;
    }
    #titre h1{
        font-size: 2.5rem;
        font-weight: 100;
    }    
    .img_container {
        margin-left: 2vw;
    }
    .img_accueil .infos-hover i{
        font-size:3rem;
    }
    .img_accueil .infos-hover p{
        text-align:center;
        font-size:1rem;
    } 

    .circles li{
        font-size: 3rem ;
    }
}

